> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search device by metadata



## OpenAPI

````yaml post /api/v1/devices/search
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/devices/search:
    post:
      tags: []
      summary: Search device by metadata
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceFilters'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/DeviceFilters'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/DeviceFilters'
          application/edn:
            schema:
              $ref: '#/components/schemas/DeviceFilters'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    DeviceFilters:
      required:
        - limit
        - page
      type: object
      properties:
        page:
          type: integer
          format: int64
        limit:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - all
            - inactive
            - active
        metadata:
          $ref: '#/components/schemas/DeviceFiltersMetadata'
        state:
          type: object
          x-oneOf:
            - type: array
              items:
                type: string
                enum:
                  - <=
                  - not=
                  - '>'
                  - '>='
                  - '='
                  - <
            - type: array
              items:
                type: string
                enum:
                  - between
            - type: array
              items:
                type: string
                enum:
                  - in
            - type: array
              items:
                type: string
                enum:
                  - or
                  - and
        action-id:
          type: integer
          format: int64
      additionalProperties: false
    DeviceFiltersMetadata:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````